--- old/usr/src/uts/common/fs/proc/prdata.h	Thu Dec  5 11:53:00 2019
+++ new/usr/src/uts/common/fs/proc/prdata.h	Thu Dec  5 11:53:00 2019
@@ -28,6 +28,7 @@
 
 /*
  * Copyright 2018 Joyent, Inc.
+ * Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
  */
 
 #ifndef _SYS_PROC_PRDATA_H
@@ -131,6 +132,8 @@
 	PR_ROOTDIR,		/* /proc/<pid>/root			*/
 	PR_FDDIR,		/* /proc/<pid>/fd			*/
 	PR_FD,			/* /proc/<pid>/fd/nn			*/
+	PR_FDINFODIR,		/* /proc/<pid>/fdinfo			*/
+	PR_FDINFO,		/* /proc/<pid>/fdinfo/nn		*/
 	PR_OBJECTDIR,		/* /proc/<pid>/object			*/
 	PR_OBJECT,		/* /proc/<pid>/object/xxx		*/
 	PR_LWPDIR,		/* /proc/<pid>/lwp			*/
@@ -288,7 +291,7 @@
  *
  *	pr_iol_initlist(&listhead, sizeof (*mp), n);
  *	while (whatever) {
- *		mp = pr_iol_newbuf(&listhead, sizeof (*mp);
+ *		mp = pr_iol_newbuf(&listhead, sizeof (*mp));
  *		...
  *		error = ...
  *	}
@@ -313,6 +316,7 @@
 extern	void *	pr_iol_newbuf(list_t *head, size_t itemsize);
 extern	int	pr_iol_copyout_and_free(list_t *head, caddr_t *tgt, int errin);
 extern	int	pr_iol_uiomove_and_free(list_t *head, uio_t *uiop, int errin);
+extern	void	pr_iol_freelist(list_t *);
 
 #if defined(_SYSCALL32_IMPL)
 
@@ -347,6 +351,8 @@
 extern	int	pr_set(proc_t *, long);
 extern	int	pr_unset(proc_t *, long);
 extern	void	pr_sethold(prnode_t *, sigset_t *);
+extern	file_t	*pr_getf(proc_t *, uint_t, short *);
+extern	void	pr_releasef(proc_t *, uint_t);
 extern	void	pr_setfault(proc_t *, fltset_t *);
 extern	int	prusrio(proc_t *, enum uio_rw, struct uio *, int);
 extern	int	prwritectl(vnode_t *, struct uio *, cred_t *);
